/* モーダルウィンドウのスタイル */
.modal-growth-curve {
    display: none;
    position: fixed;
    z-index: 20000;
    left: 0;
    top: 0;
    width: 100%;
    max-width: 800px;
    height: 100%;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    margin: auto;
}

/* モーダルコンテンツのスタイル */
.modal-content-growth-curve {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: none;
    width: 80%;
    border-radius: 5px;
}

#result-growth-modal img {
    max-width: 100%;
    /* モーダル内の幅に収める */
    max-height: 60vh;
    /* ウィンドウ高さの60%以下にする */
    height: auto;
    width: auto;
}

.growth-curve-modal-dialog {
    max-width: 600px;
    margin: 0 auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

/*成長曲線 */
.growth-curve-create-modal-content {
    width: 600px;
    border-radius: 8px;
    position: relative;
    display: flex;
    flex-direction: column;
    pointer-events: auto;
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, .2);
    outline: 0;
}

.tree-checkbox {
    max-height: 70vh;
    overflow-y: auto;
    /* Firefox用のスクロールバースタイル */
    scrollbar-width: thin;
    scrollbar-color: #616a7a transparent;
}

.tree-dropdown::-webkit-scrollbar {
    width: 4px;
    height: 4px;
}

.tree-dropdown::-webkit-scrollbar-thumb {
    background-color: #616a7a;
    border-radius: 8px;
}

.tree-dropdown::-webkit-scrollbar-track {
    background-color: transparent;
    border-radius: 8px;
    margin: 8px 0;
}